<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: ebc65f1f63f6 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-02-28 01:02 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_backup_importBase{
	protected $backup_file = '';

	protected function __construct(string $filename){
		$this->backup_file = $filename ?: we_backup_settings::i()->backup_file;
	}

	abstract public function open(): bool;

	abstract public function close(): bool;

	abstract public function readLines(): string;

	/** returns true, if readlines can read more lines without touching the limit */
	abstract public function canReadMore(): bool;

	abstract public function extractBinFile(string $dir, string $file): void;

	public function finish(): void{
		we_backup_settings::clearSessionData();
	}

}
