<?php
declare(strict_types=1);

/**
 * These should be public consts only used INSIDE WE, we should not need to load this class in frontend
 *
 * $Rev: a9eb7ce987e0 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-06-15 14:56 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_base_constants{
	public const MODE_NORMAL = 'normal';
	public const MODE_SEE = 'seem';
	public const PING_TIME = 30; // 30 sec
	public const PING_TOLERANZ = 170; // allows 4 Ping misses

	/** define how long Errors hold in DB */
	public const ERROR_LOG_HOLDTIME = 30; // in days
	public const ERROR_LOG_MAX_ITEM_COUNT = 10000;
	public const ERROR_LOG_MAX_ITEM_THRESH = 9800;
	public const LOGIN_FAILED_TIME = 2; // in minutes
	public const LOGIN_FAILED_NR = 3;
	public const LOGIN_FAILED_HOLDTIME = 30; // in days
	public const FILE_ONLY = 0;
	public const FOLDER_ONLY = 1;
	public const WE_EDITPAGE_PROPERTIES = 0;
	public const WE_EDITPAGE_CONTENT = 1;
	public const WE_EDITPAGE_INFO = 2;
	public const WE_EDITPAGE_PREVIEW = 3;
	public const WE_EDITPAGE_WORKSPACE = 4;
	public const WE_EDITPAGE_FIELDS = 6;
	//public const WE_EDITPAGE_SEARCH = 7;
	public const WE_EDITPAGE_SCHEDULER = 8;
	public const WE_EDITPAGE_THUMBNAILS = 9;
	public const WE_EDITPAGE_VALIDATION = 10;
	public const WE_EDITPAGE_VARIANTS = 11;
	public const WE_EDITPAGE_PREVIEW_TEMPLATE = 12;
	public const WE_EDITPAGE_WEBUSER = 14;
	public const WE_EDITPAGE_IMAGEEDIT = 15;
	public const WE_EDITPAGE_DOCLIST = 16;
	public const WE_EDITPAGE_VERSIONS = 17;
	public const WE_EDITPAGE_COLLECTION = 18;
	public const WE_EDITPAGE_TEMPLATE_UNUSEDELEMENTS = 19;
//Variants settings
	public const PLACEHOLDER = '#####placeHolder#####';
	public const PLACEH_PATH = '##WEPATH##';
	public const PLACEH_PUBLISHED = '###Published###';
	public const DEFAULT_FORM = 'we_global_form';
	public const WE_FORM = 'we_form';
	public const MAINTENANCE_FRONTEND = 'Frontend';
	public const MAINTENANCE_BACKEND = 'Backend';
	public const MAINTENANCE_ALL = 'Frontend_Backend';
	public const CHARS_PATTERN_BASIC = '[A-Za-z0-9_\-]+'; //use g_l('global', '[allowedChars][basic]') as title
	public const CHARS_PATTERN_FILE = '[A-Za-z0-9~:_\-\[\]\(\)]+'; //use g_l('global', '[allowedChars][file]') as title
	public const CHARS_PATTERN_EXTENDED = '[A-Za-z0-9_\-\. ]+'; //use g_l('global', '[allowedChars][extended]') as title

}
