<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 828f97d95e12 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-07-08 17:12 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
//@phan-file-suppress PhanUndeclaredClassMethod,PhanUndeclaredMethod,PhanUndeclaredExtendedClass
use Sabre\DAV;

class we_davfs_auth extends DAV\Auth\Backend\AbstractBasic{

	protected function validateUserPass($username, $password){
		if(!empty($_SESSION['weS']['davfs']['ID'])){
			return true;
		}
		if(!we_gui_login::checkMaxLoginOK()){
			return false;
		}
		$userdata = getHash('SELECT ID,passwd,(Ping>((NOW()-INTERVAL ' . SYSTEM_WE_SESSION_TIME . ' SECOND ))) AS active FROM ' . USER_TABLE . ' WHERE Type="user" AND LoginDenied=0 AND username="' . DB_WE::$inst->escape((string) $username) . '"');
		if(!$userdata || !$userdata['active'] || !we_users_user::comparePasswords($userdata['passwd'], $password)){
			we_users_user::logLoginFailed('tblUser', $username);
			return false;
		}

		$_SESSION['user']['ID'] = $userdata['ID'];
		$_SESSION['user']['isWeSession'] = true;
		$_SESSION['weS']['davfs'] = [
			'ID' => $userdata['ID'],
			'Username' => $username,
		];
		$_SESSION['prefs'] = we_users_user::readPrefs((int) $userdata['ID'], true);
		$_SESSION['perms'] = we_users_user::getAllPermissions((int) $userdata['ID']);
		we_users_user::setEffectiveWorkspaces((int) $userdata['ID']);
		//only allow admins access
		if(we_base_permission::hasPerm([we_base_perm::ADMINISTRATOR])){
			return true;
		}
		return false;
	}

}
