<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 6cc64d37551c $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-07-25 11:32 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_fileupload_ui_editfull extends we_fileupload_ui_wedoc{
	protected $documentCT = we_base_ContentTypes::APPLICATION;

	/**
	 *
	 * @param string $name
	 * @param string[] $acceptedCT
	 * @param string[] $acceptedExt
	 * @param string[] $forbiddenCT
	 * @param string[] $forbiddenExt
	 * @param array<string,mixed> $fileinfo
	 */
	public function __construct(string $name, array $acceptedCT = [], array $acceptedExt = [], array $forbiddenCT = [], array $forbiddenExt = [], array $fileinfo = [
		]){
		parent::__construct($name, $acceptedCT, $acceptedExt, $forbiddenCT, $forbiddenExt, $fileinfo);

		$this->type = 'editFull';
		$this->isDragAndDrop = false;
		$this->controls = [
//			'showControls' => self::CONTROLS_SHOW_FALSE,
//			'showControlsInitialState' => self::CONTROLS_SHOW_FALSE,
			'showBtnsUploadCancel' => self::CONTROLS_SHOW_TRUE,
//			'showEditOptions' => self::CONTROLS_SHOW_FALSE,
//			'showImportMeta' => self::CONTROLS_SHOW_FALSE
		];
	}

	public static function getDialogYesNoCancel(string $nextCmd): string{
		$cmd = "WE().util.dialogTop(window).opener.we_cmd('editFull_askForUpload_processAnswer','%s','" . $nextCmd . "',WE().util.dialogTop(window));";

		return we_html_tools::getHtmlTop('dialog_upload_editFull', '', we_html_element::body(['class' => 'weEditorBody', 'onblur' => "self.focus()",
					'onload' => "self.focus();"], we_html_element::form(['name' => we_base_constants::WE_FORM], we_html_tools::yesNoCancelDialog(g_l('import', '[upload][save_editFull_before_leave]'), we_html_element::span([
								'class' => "fa-stack fa-lg",
								'style' => "color:#F2F200;"], '<i class="fa fa-exclamation-triangle fa-stack-2x" ></i><i style="color:black;" class="fa fa-exclamation fa-stack-1x"></i>'), true, true, true, sprintf($cmd, 'yes'), sprintf($cmd, 'no'), sprintf($cmd, 'cancel')))
		));
	}

	public function getHTMLExternalProgress(): string{
		$progress = new we_gui_progressBar(0, 200, '_editFull');
		$progress->addText(g_l('importFiles', '[progress_text_editfull]'), we_gui_progressBar::TOP);

		return $progress->getHTML();
	}

	public function getHTML(bool $withHeader = true): string{
		// some yes no progress...
		return '';
	}

	public function getJs(): string{
		// if IE we load uploader utils on editor
		return $this->getJSFileuploader() . $this->getJSInit();
	}

}
