<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 6917b9add631 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-04-21 13:24 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_glossary_cmd extends we_editor_functions implements we_interface_cmd{

	public static function we_cmd(string $cmd): bool{
		switch($cmd){
			case 'we_glossary_edit_acronym':
			case 'we_glossary_edit_abbreviation':
			case 'we_glossary_edit_foreignword':
			case 'we_glossary_edit_link':
			case 'we_glossary_edit_textreplacement':
			case 'we_glossary_view_folder':
			case 'we_glossary_view_type':
			case 'we_glossary_view_exception':
				$_REQUEST['mod'] = we_modules_info::GLOSSARY;
				$_REQUEST['pnt'] = 'show_frameset';
				we_modules_frame::showModulesFrameSet(we_modules_info::GLOSSARY);
				return true;
			case 'we_glossary_settings':
				$_REQUEST['mod'] = we_modules_info::GLOSSARY;
				$_REQUEST['pnt'] = 'show_settings';
				we_modules_frame::processModulesCommand(we_modules_info::GLOSSARY, 'show_settings');
				return true;
		}
		return false;
	}

}
