<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: d5bcf73330c9 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-12-28 19:06 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_objectLanguage extends we_weTag_tag{

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): string{
		$type = self::getAttribute('type', $attribs, 'complete', we_base_request::STRING);
		$case = self::getAttribute('case', $attribs, 'unchanged', we_base_request::STRING);

		$lang = (we_tag_listview::$current && we_tag_listview::$current instanceof we_listview_base ? we_tag_listview::$current->f(we_listview_base::LANG_FIELD) : '');

		$out = $lang;
		switch($type){
			case 'language':
				$out = substr($lang, 0, 2) ?: '';
				break;
			case 'country':
				$out = substr($lang, 3, 2) ?: '';
				break;
		}
		switch($case){
			case 'uppercase':
				return strtoupper($out);
			case 'lowercase':
				return strtolower($out);
			default:
				return $out;
		}
	}

}
