<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: 02a1ba0c8f01 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-08-12 16:37 +0200 $
 */
class we_tw_css extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;

		$this->Attributes = [
			new we_weTag_selectorAttribute('id', FILE_TABLE, we_base_ContentTypes::CSS, true, ''),
			new we_weTag_selectAttribute('rel', [
				new we_weTag_option('stylesheet'),
				new we_weTag_option('alternate stylesheet'),
				new we_weTag_option('preload'),
				]),
			new we_weTag_textAttribute('title'),
			new we_weTag_choiceAttribute('media', [new we_weTag_option('all'),
				new we_weTag_option('braille'),
				new we_weTag_option('embossed'),
				new we_weTag_option('handheld'),
				new we_weTag_option('print'),
				new we_weTag_option('projection'),
				new we_weTag_option('screen'),
				new we_weTag_option('speech'),
				new we_weTag_option('tty'),
				new we_weTag_option('tv'),
				]),
			new we_weTag_selectAttribute('applyto', [new we_weTag_option('all'),
				new we_weTag_option('wysiwyg'),
				new we_weTag_option('around'),
				]),
			new we_weTag_selectAttribute('xml', we_weTag_selectAttribute::getTrueFalse())
		];
	}

}
