<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: 02a1ba0c8f01 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-08-12 16:37 +0200 $
 */
class we_tw_img extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;
		$this->Groups = [self::GROUP_INPUT];

		$this->Attributes = [
			new we_weTag_textAttribute('name', false, ''),
			new we_weTag_choiceAttribute('only', [
				new we_weTag_option('width'),
				new we_weTag_option('height'),
				new we_weTag_option('alt'),
				new we_weTag_option('title'),
				new we_weTag_option('src'),
				new we_weTag_option('id'),
				new we_weTag_option('path'),
				], false, true, ''),
			new we_weTag_selectorAttribute('id', FILE_TABLE, we_base_ContentTypes::IMAGE),
			new we_weTag_textAttribute('width'),
			new we_weTag_textAttribute('height'),
			new we_weTag_textAttribute('border'),
			new we_weTag_textAttribute('hspace'),
			new we_weTag_textAttribute('vspace'),
			new we_weTag_textAttribute('alt'),
			new we_weTag_textAttribute('title'),
			new we_weTag_selectorAttribute('startid', FILE_TABLE, we_weTag_selectorAttribute::FOLDER),
			new we_weTag_selectorAttribute('parentid', FILE_TABLE, we_weTag_selectorAttribute::FOLDER),
			new we_weTag_selectAttribute('align', [
				new we_weTag_option('left'), new we_weTag_option('right'), new we_weTag_option('top'),
				new we_weTag_option('bottom'), new we_weTag_option('absmiddle'), new we_weTag_option('middle'), new we_weTag_option('texttop'),
				new we_weTag_option('baseline'), new we_weTag_option('absbottom')]),
			new we_weTag_sqlRowAttribute('thumbnail', THUMBNAILS_TABLE, false, 'Text'),
			new we_weTag_sqlRowAttribute('thumbnailid', THUMBNAILS_TABLE, false, 'ID', 'Text', 'Text'),
			new we_weTag_selectAttribute('showcontrol', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute('showimage', [new we_weTag_option('false', false, '')]),
			new we_weTag_selectAttribute('showinputs', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute('showthumbcontrol', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute('xml', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_textAttribute('sizingrel'),
			new we_weTag_selectAttribute('sizingstyle', [new we_weTag_option('none'), new we_weTag_option('em'), new we_weTag_option('ex'),
				new we_weTag_option('%'), new we_weTag_option('px')]),
			new we_weTag_textAttribute('sizingbase')
		];
	}

}
