<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: 83aee1dd8e57 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-09-09 14:06 +0200 $
 */
class we_tw_input extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;
		$this->Groups = [self::GROUP_INPUT];

		$name = new we_weTag_textAttribute('name', true, '');
		$size = new we_weTag_textAttribute('size', false, '');
		$maxlength = new we_weTag_textAttribute('maxlength', false, '');
		$format = new we_weTag_textAttribute('format', false, '');
		$mode = new we_weTag_selectAttribute('mode', [new we_weTag_option('add', false, ''), new we_weTag_option('replace', false, '')], false, '');
		$value = new we_weTag_textAttribute('value', false, '');
		$values = new we_weTag_textAttribute('values', false, '');
		$checked = new we_weTag_selectAttribute('checked', we_weTag_selectAttribute::getTrueFalse());
		$html = new we_weTag_selectAttribute('html', we_weTag_selectAttribute::getTrueFalse());
		$htmlspecialchars = new we_weTag_selectAttribute('htmlspecialchars', we_weTag_selectAttribute::getTrueFalse());
		$num_format = new we_weTag_selectAttribute('num_format', [new we_weTag_option('german', false, ''), new we_weTag_option('english', false, ''), new we_weTag_option('french', false, ''),
			new we_weTag_option('swiss', false, '')], false, '');
		$precision = new we_weTag_textAttribute('precision', false, '');
		$reload = new we_weTag_selectAttribute('reload', we_weTag_selectAttribute::getTrueFalse());
		$seperator = new we_weTag_textAttribute('seperator', false, '');
		$outputlanguage = new we_weTag_textAttribute('outputlanguage', false, '');
		$doc = new we_weTag_selectAttribute('doc', [new we_weTag_option('self', false, ''), new we_weTag_option('top', false, '')], false, '');
		$currentdate = new we_weTag_selectAttribute('currentdate', we_weTag_selectAttribute::getTrueFalse());

		$this->TypeAttribute = new we_weTag_typeAttribute('type', [new we_weTag_option('text', false, '', [$name, $size, $maxlength, $value, $html, $num_format, $precision,
				$htmlspecialchars,], [$name]),
			new we_weTag_option('checkbox', false, '', [$name, $value, $checked, $reload, $htmlspecialchars,], [$name]),
			new we_weTag_option('date', false, '', [$name, $format, $currentdate, $htmlspecialchars,], [$name]),
			new we_weTag_option('choice', false, '', [$name, $size, $maxlength, $mode, $values, $reload, $seperator, $htmlspecialchars,], [$name]),
			new we_weTag_option('select', false, '', [$name, $values, $htmlspecialchars,], [$name]),
			new we_weTag_option('country', false, '', [$name, $outputlanguage, $doc,], [$name]),
			new we_weTag_option('language', false, '', [$name, $outputlanguage, $doc], [$name])], true, '');

		$this->Attributes = [$name, $size, $maxlength, $format, $mode, $value, $values, $html, $htmlspecialchars, $num_format, $precision, $reload,
			$seperator, $outputlanguage, $doc];
	}

}
