<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: 02a1ba0c8f01 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-08-12 16:37 +0200 $
 */
class we_tw_pref extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = true;

		$newsletterName = new we_weTag_choiceAttribute('name', [
			], false, false, we_modules_info::NEWSLETTER);
		$shopName = new we_weTag_choiceAttribute('name', [new we_weTag_option('vatRule'),
			new we_weTag_option('shippingControl'),
			new we_weTag_option('statusMails'),
			], false, false, we_modules_info::SHOP);
		$field = new we_weTag_textAttribute('field', false, '');



		$this->TypeAttribute = new we_weTag_typeAttribute('type', [
			new we_weTag_option('newsletter', false, we_modules_info::NEWSLETTER, [$newsletterName], [$newsletterName]),
			new we_weTag_option('shop', false, we_modules_info::SHOP, [$shopName, $field], [$shopName, $field])]
			, false, '');

		$this->Attributes = [$newsletterName, $shopName, $field];
	}

}
