<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 6cc64d37551c $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-07-25 11:32 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_weTag_sqlColAttribute extends we_weTag_selectAttribute{
	/**
	 * @var string
	 */
	private $Table;

	/**
	 * @param string $name
	 * @param string $table
	 * @param boolean $required
	 * @param string[] $filter
	 */
	function __construct(string $name, string $table, bool $required = false, array $filter = [], string $module = '', string $description = '', bool $deprecated = false){
		$this->Table = $table;
		$options = [];

		// get options from choosen table
		$tableInfo = $module === '' || we_modules_info::isActive($module) ? DB_WE::$inst->metaFieldNames($this->Table) : [];
		sort($tableInfo); // #3490

		foreach($tableInfo as $field){
			if(!in_array($field, $filter, true)){
				$options[] = new we_weTag_option((string) $field);
			}
		}
		parent::__construct($name, $options, $required, $module, $description, $deprecated);
	}

}
