<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 4571e7be0153 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-08-21 13:49 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_weTag_sqlRowAttribute extends we_weTag_selectAttribute{
	/**
	 * @var string
	 */
	protected $Table;

	/**
	 * @var string
	 */
	protected $ValueName;

	/**
	 * @var string
	 */
	protected $TextName;

	/**
	 * @param string $name
	 * @param string $table
	 * @param boolean $required
	 * @param string $valueName
	 * @param string $textName
	 * @param string $order
	 */
	function __construct(string $name, string $table, bool $required = false, string $valueName = 'ID', string $textName = 'Text', string $order = 'Text', string $module = '', string $description = '', bool $deprecated = false){//FIXME add multiple attribute!
		$DB_WE = we_database_base::$inst;
		$this->Table = $table;
		$this->ValueName = $valueName;
		$this->TextName = $textName ?: $valueName;

		// get options from choosen table
		$options = [];
		foreach($DB_WE->getAllFirstq('SELECT ' . $DB_WE->escape($this->ValueName) . ',' . $DB_WE->escape($this->TextName) . ' FROM ' . $DB_WE->escape($this->Table) . ' ' . ($order ? 'ORDER BY ' . $order : ''), false) as $val => $text){
			$options[] = new we_weTag_option((string) $text, $val);
		}
		parent::__construct($name, $options, $required, $module, $description, $deprecated);
	}

}
