/* global WE, top */

/**
 * webEdition CMS
 *
 * webEdition CMS
 * $Author: Lukas Imhof $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';

function toggle(id) {
	var elem = document.getElementById(id);
	elem.style.display = (elem.style.display === "none" ? "block" : "none");
}

function setVisible(id, visible) {
	var elem = document.getElementById(id);
	elem.style.display = (visible ? "block" : "none");
}

function showType(type) {
	["type_abbreviation", "type_acronym", "type_foreignword", "type_link", "type_textreplacement"].forEach(function(el){
		document.getElementById(el).style.display = "none";
	});
	document.getElementById("type_" + type).style.display = "block";
	document.we_form.cmd.value = "edit_" + type;
	var
					i,
					iconBox = document.getElementsByClassName("multiIcon")[0];
	switch (type) {
		case "link":
			iconBox.children[1].style.display = "none";
			for (i = 2; i < iconBox.children.length; i++) {
				iconBox.children[i].style.display = "";
			}
			showLinkMode("intern");
			break;
		default:
			iconBox.children[1].style.display = "";
			for (i = 2; i < iconBox.children.length; i++) {
				iconBox.children[i].style.display = "none";
			}
	}
}

function showLinkMode(mode) {
	["mode_intern", "mode_extern", "mode_object", "mode_category"].forEach(function(el){
		document.getElementById(el).style.display = "none";
	});
	mode = mode ? mode : 'intern';
	if (mode) {
		document.getElementById("mode_" + mode).style.display = "";
	}
	if (mode === "category") {
		showLinkModeCategory("intern");
	}
}

function showLinkModeCategory(mode) {
	["mode_category_intern", "mode_category_extern"].forEach(function(el){
		document.getElementById(el).style.display = "none";
	});
	document.getElementById("mode_category_" + mode).style.display = "";
}

function setDisplay(id, display) {
	document.getElementById(id).style.display = display;
}

function doUnload() {
	WE().layout.jsWindow.prototype.closeAll(window);
}

function setHot() {
	top.content.editor.edheader.document.getElementById("mark").style.display = "inline";
	top.hot = true;
}

function we_cmd() {
	/*jshint validthis:true */
	var caller = (this && this.window === this ? this : window),
					args = WE().util.getWe_cmdArgsArray(Array.prototype.slice.call(arguments)),
					url = WE().util.getWe_cmdArgsUrl(args);

	switch (args[0]) {
		case "populateWorkspaces":
			document.we_form.cmd.value = args[0];
			document.we_form.tabnr.value = top.content.activ_tab;
			document.we_form.pnt.value = "cmd";
			submitForm("cmd");
			break;
		case "we_selector_image":
		case "we_selector_document":
		case "we_selector_file":
			(new (WE().layout.overlay)(caller, 'top', url, "we_docselector", WE().consts.size.dialog.big, WE().consts.size.dialog.medium)).setResizeable().open();
			break;
		case "we_selector_directory":
			(new (WE().layout.overlay)(caller, 'top', url, "we_selector", WE().consts.size.dialog.big, WE().consts.size.dialog.small)).setResizeable().open();
			break;
		case "loadHeaderFooter":
			loadHeaderFooter(args[1], args[2], args[3]);
			break;
		default:
			top.content.we_cmd.apply(caller, Array.prototype.slice.call(arguments));
	}
}

function submitForm(target, action, method) {
	var f = window.document.we_form;
	f.target = (target ? target : "edbody");
	f.action = (action ? action : WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=glossary");
	f.method = (method ? method : "post");
	f.submit();
}

function loadHeaderFooter(type, link, category) {
	top.content.editor.edheader.location = WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=glossary&pnt=edheader";
	top.content.editor.edfooter.location = WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=glossary&pnt=edfooter";
	showType(type);
	if (link) {
		showLinkMode(link);
	}
	if (category) {
		showLinkModeCategory(category);
	}
}